Subject: Re: bug#7759: split(1) regression in v8.7-25-gbe10739

From: Jim Meyering <[email-masked]>
Date: Thu, 30 Dec 2010 12:15:44 +0100

Pádraig Brady wrote:

> On 29/12/10 21:12, Dmitry V. Levin wrote:
>> Hi,
>>
>> I've got a bug report from Sergey Vlasov about split(1) regression
>> in coreutils v8.8: https://bugzilla.altlinux.org/24841
>>
>> In short, the default suffix length is not 2 as it shall be according to POSIX.
>> Looks like the regression is due to commit v8.7-25-gbe10739.
>> For more details and the test case, please have a look at the bug report.
>
> Cringe :(
>
> The frustrating this is that I noticed this
> but dropped the fixup code when I was moving
> local git branches around.
>
> The attached should fix it.
...
> Subject: [PATCH] split: fix the suffix length calculation
>
> * src/split.c (set_suffix_length): Only auto calculate
> the suffix length when the number of files is specified.
> * tests/misc/split-a: Add a case to trigger the bug.
> * NEWS: Mention the fix.

Hi Pádraig
Thanks for the quick fix.
Please include the bugzilla URL and credit Sergey and Dmitry
in the commit log.  It'd be good to list Sergey's
name/email in THANKS, too.